---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab issue list`

List project issues

```plaintext
glab issue list [flags]
```

## Aliases

```plaintext
ls
```

## Examples

```plaintext
glab issue list --all
glab issue ls --all
glab issue list --assignee=@me
glab issue list --milestone release-2.0.0 --opened

```

## Options

```plaintext
  -A, --all                    Get all issues
  -a, --assignee string        Filter issue by assignee <username>
      --author string          Filter issue by author <username>
  -c, --closed                 Get only closed issues
  -C, --confidential           Filter by confidential issues
  -g, --group string           Select a group/subgroup. This option is ignored if a repo argument is set.
      --in string              search in {title|description} (default "title,description")
  -t, --issue-type string      Filter issue by its type {issue|incident|test_case}
  -l, --label strings          Filter issue by label <name>
  -m, --milestone string       Filter issue by milestone <id>
      --not-assignee strings   Filter issue by not being assigneed to <username>
      --not-author strings     Filter by not being by author(s) <username>
      --not-label strings      Filter issue by lack of label <name>
  -F, --output-format string   One of 'details', 'ids', or 'urls' (default "details")
  -p, --page int               Page number (default 1)
  -P, --per-page int           Number of items to list per page. (default 30)
  -R, --repo OWNER/REPO        Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
      --search string          Search <string> in the fields defined by --in
```

## Options inherited from parent commands

```plaintext
      --help   Show help for command
```
